TS_SETUP(3)

NAME
ts_setup - find, open and configure a touch screen input device

SYNOPSIS
#include <tslib.h>

struct tsdev *ts_setup(const char *dev_name, int nonblock);

DESCRIPTION
ts_setup() will try to find, open and configure the touch screen device. On success it allocates memory for a new touch screen device, opens and links the input event device to it and loads and initialises all modules configured in the tslib configuration file TSLIB_CONFFILE. If dev_name is NULL ts_setup() will use the device defined by the TSLIB_TSDEVICE environment variable. If TSLIB_TSDEVICE is not defined ts_setup() will try to use following devices:
    /dev/input/ts,
    /dev/input/touchscreen,
    /dev/input/event0 or
    /dev/touchscreen/ucb1x00.

RETURN VALUE
A pointer to the opened struct tsdev is returned.

SEE ALSO
ts_open(3), ts_close(3), ts_read(3), ts_config(3), ts.conf(5)